KDE 4.2 e Qt

Mar, 10/02/2009 - 19:56

KDE 4.2 e Qt

Inviato da xeniga 41 commenti

Proprio ieri è stata pubblicata la notizia che le nuove qt 4.5 sono incompatibili con alcune caratteristiche di kde 4.2..

Le nuove qt 4.5 verranno aggiunte al repository KDE:Qt di conseguenza le qt 4.4 saranno reperibili nel repository KDE:Qt44
Per non avere un ambiente grafico incompatibile con le nuove librerie è consigliabile la sostituzione dei repository in quanto il cambiamento avverrà a giorni..

Sia sul cambiamento dei repository che sull'incompatibilità descritta la fonte è crismon's blog:
* http://www.crismonblog.org/news/repository-kde-qt-importanti-cambiamenti-in-vista.html
* http://www.crismonblog.org/news/kde-4.2-problemi-con-qt-4.5.html

buon kde 4.2 ciauuuu


In:



Commenti

Ritratto di alfiomosca
#1

Inviato da alfiomosca il Mar, 24/02/2009 - 16:38.

Re: KDE 4.2 e Qt

Sulla 11 non saprei cosa succede, io ce l'ho su un altro hard disk che non ho ancora formattato, ma avevo il buon kde 3.5



Ritratto di xeniga
#2

Inviato da xeniga il Mar, 24/02/2009 - 13:54.

Re: KDE 4.2 e Qt

la gui del gestore pacchetti,almeno in opensuse 11,è ancora in qt3 credo che il problema sia in libqt-qt3support...almeno secondo me perchè quando ho aggiornato alle qt 4.5 yast2 funzionava come qt4 (almeno l avanzamento della barra era tipicam qt4)e non più come qt3....infatti il gestore pacchetti, una volta aggiornata la versione alle ultime qt,non funzionava neanche in kde3....



Ritratto di specialworld83
#3

Inviato da specialworld83 il Mar, 24/02/2009 - 16:44.

Re: KDE 4.2 e Qt

Ciao a tutti, il problema sembra che lo abbia localizzato, l'errore per quando riguarda lo schermo nero e dovuto a libqt4 e libqt4-devel in versione 4.5 rc scaricato direttamente dai repo qt e non qt5.In pratica sono incomptatibili con gli effetti di kwin che lo mandano in crash.

Per quando l'errore di yast2 e causato da libqt3-support, poichè ancora sperimentale per yast, essendo in versione rc.

Cmq consiglio di non aggiornare al momento, ma di aspettare la release definitiva, visto che il problema è piuttosto serio per quando riguarda la versione di kde 4.2, meglio aspettare la versione 4.2.1 in caso correggessero dei bug e quindi implmentarlo con esso le qt 4.5.

Dimenticavo, già sui repo unstable c'è la versione di kde 4.2.60 che e una versione del futuro kde 4.3.

Ciao a tutti.




Ritratto di xeniga
#4

Inviato da xeniga il Mar, 24/02/2009 - 17:20.

Re: KDE 4.2 e Qt

allora...

ho provato ad aggiornare a qt4.5 bloccando l aggiornamento di libqt-qt3support...ma il problema permane...comunque penso proprio che aspetterò kde 4.2.1 e vedere come vanno le cose;se no direttamente con kde 4.3....



Ritratto di Crismon
#5

Inviato da Crismon il Mar, 24/02/2009 - 18:32.

Re: KDE 4.2 e Qt

Io per le Qt utilizzo questo: http://download.opensuse.org/repositories/KDE:/Qt45/openSUSE_11.1/

e non ho nessun problema..schermate nere a parte!! Wink

www.crismonblog.org | Un blog targato openSUSE



Ritratto di alfiomosca
#6

Inviato da alfiomosca il Mar, 24/02/2009 - 19:44.

Re: KDE 4.2 e Qt

Per il problema delle schermate nere, che spero risolveranno, basta disabilitare gli effetti, no?



Ritratto di Crismon
#7

Inviato da Crismon il Mar, 24/02/2009 - 21:30.

Re: KDE 4.2 e Qt

Si, anche se ti consiglio di fare un tentativo disabilitando "Presenta le finestre".
Se ti interessa ho scritto un articolo a riguardo: http://www.crismonblog.org/kde4-trick-and-tips/upgrade-to-kde-4.2.0-release-97-102-black-screen.html

www.crismonblog.org | Un blog targato openSUSE



Ritratto di xeniga
#8

Inviato da xeniga il Mar, 24/02/2009 - 21:58.

Re: KDE 4.2 e Qt

ma yast-qt in opensuse 11.1 a quale versione è?magari dipende da quello e nella versione della 11.1 è compatibile con le librerie qt4.5 mentre opensuse 11 quando è uscit non aveva ancora le qt 4.4 ..boh...io la sto sparando perchè non ho completam idea...



Ritratto di Crismon
#9

Inviato da Crismon il Mar, 24/02/2009 - 22:27.

Re: KDE 4.2 e Qt

Nella 11.1 siamo a:

yast2-qt-2.17.23-1.5

www.crismonblog.org | Un blog targato openSUSE



Ritratto di xeniga
#10

Inviato da xeniga il Mer, 25/02/2009 - 17:38.

Re: KDE 4.2 e Qt

su opensuse 11 è la versione 2.16.53
secondo me dipende da questo...
la versione per opensuse 11.1 è pronta anche per le librerie qt4.5 quella della precedente invece no...